## freefem++ 3.26-2

=== debian/changelog ===
freefem++ (3.26-2-3) unstable; urgency=low

  * Change package urgency from medium to low

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Thu, 26 Dec 2013 19:30:00 +0200

freefem++ (3.26-2-2) unstable; urgency=medium

  [ Dimitrios Eftaxiopoulos ]
  * Enable build with metis

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Thu, 26 Dec 2013 16:13:46 +0200

freefem++ (3.26-2-1) unstable; urgency=low

  * Imported Upstream version 3.26-2 (Closes: #706714)
  * Disable make check execution in d/rules (Closes: #730739)
  * Correct architecture names for hurd and kfreebsd (Closes: #730738)
  * Make libmesh.a install only in libfreefem++ binary
  * Fix duplication of executables (Closes: #701161)
  * Update standards version
  * Set installation dir of WHERE* scripts to /usr/include/freefem++
  * Add rdfind and symlinks to build deps in d/control

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Thu, 19 Dec 2013 22:38:49 +0200

freefem++ (3.25-1) unstable; urgency=low

  [ Dimitrios Eftaxiopoulos ]
  * Imported Upstream version 3.25 (Closes: #701161 #706714)
  * Change installation directory of header-like *.idp files
    from /usr/lib/freefem++ to /usr/include/freefem++, in order
    to fix a lintian warning
  * Update patch to examples++-load/Makefile.am in order to enable
    functioning of load *.so and include *.idp commands in *.edp
    scripts
  * Delete patches to src/Graphics/sansgraph.cpp and
    src/Graphics/xglrgraph.cpp because they are not needed any more
  * Fix lintian warning about missing LDFLAGS
  * Override dh_auto_test in debian/rules, such that in case it is 
    used, it completes executing all *.edp example files, regardless
    of aborting on some of them
  * Add libmetis-dev to build-deps in d/control
  * Remove libparmetis-dev from build deps
  * Add --parallel option to dh $@ in debian/rules
  * Add hardening compilation flags to mpic++
  * Allow testing of compiling and running the example files after build

  [ Christophe Trophime ]
  * update C. Trophime email
  * add support for nlopt, ipopt - simplify debian/rules
  * upload CT changes to 3.20
  * add patch for configure
  * add patch for examples++-mpi
  * fix bamg install
  * add corrected scripts to build plugins
  * add patch for properly build examples++-load
  * add lintian overrides for libfreefem++
  * add some missing files
  * update patches
  * update rules
  * reorder BuildDepends - comment out unsupported libs

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Thu, 12 Sep 2013 00:02:58 +0300
